Merchant sign up
Creates a merchant account using a one-time invite token. No authentication required.
curl -X POST "https://api.example.com/api/v1/merchants/signup?token=null" \
-H "Content-Type: application/json" \
-d '{
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"password": "secure-password",
"firstName": "John",
"lastName": "Doe"
}
}'
import requests
import json
url = "https://api.example.com/api/v1/merchants/signup?token=null"
headers = {
"Content-Type": "application/json"
}
data = {
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"password": "secure-password",
"firstName": "John",
"lastName": "Doe"
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.example.com/api/v1/merchants/signup?token=null", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"password": "secure-password",
"firstName": "John",
"lastName": "Doe"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"password": "secure-password",
"firstName": "John",
"lastName": "Doe"
}
}`)
req, err := http.NewRequest("POST", "https://api.example.com/api/v1/merchants/signup?token=null", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/api/v1/merchants/signup?token=null')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"password": "secure-password",
"firstName": "John",
"lastName": "Doe"
}
}'
response = http.request(request)
puts response.body
{
"organization": {
"legalBusinessName": "Acme Pty Ltd",
"companyRegistrationNumber": "ACN 123 456 789",
"registeredAddress": {
"line1": "123 Market St",
"line2": "Suite 5",
"city": "Sydney",
"state": "NSW",
"postalCode": "2000",
"country": "AU"
},
"companyWebsite": "https://www.acme.com",
"industry": "Retail",
"sector": "E-commerce",
"contactPersonFirstName": "John",
"contactPersonLastName": "Doe",
"contactPersonEmail": "john.doe@merchant.test"
},
"admin": {
"email": "owner@example.com",
"firstName": "John",
"lastName": "Doe"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
{
"error": "Error",
"message": "Invite token has already been used or has expired.",
"code": 410
}
POST
/api/v1/merchants/signup
POST
Base URLstring
Target server for requests. Edit to use your own host.
query
tokenstring
RequiredOne-time invite token
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Query Parameters
tokenstring
RequiredOne-time invite token
Responses
Was this page helpful?